void insertsort(int n, int a[]) { /* 递增序直接插入排序 */
    int i, j;
    int t;

    for( i = 1; i < n; ++i ) {
        for ( t = a[i], j = i-1; j >= 0 && t < a[j]; --j )
            a[j+1] = a[j];    /* 大元素依次后移 */
        if( j != i-1 ) a[j+1] = t;
    }
}


